﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace wf_Chart_ticket_507083
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            this.radChart1.Series.Clear();
            this.radChart1.Series.Add(new Telerik.Charting.ChartSeries() { Type = Telerik.Charting.ChartSeriesType.Bar });
            this.radChart1.Series.Add(new Telerik.Charting.ChartSeries() { Type = Telerik.Charting.ChartSeriesType.Spline });
            this.radChart1.Series.Add(new Telerik.Charting.ChartSeries() { Type = Telerik.Charting.ChartSeriesType.Point });

            this.radChart1.Series[0].DataXColumn = "ProductId";
            this.radChart1.Series[1].DataXColumn = "ProductId";
            this.radChart1.Series[2].DataXColumn = "ProductId";

            this.radChart1.Series[0].DataYColumn = "Value1";
            this.radChart1.Series[1].DataYColumn = "Value2";
            this.radChart1.Series[2].DataYColumn = "Value3";

            this.radChart1.PlotArea.XAxis.DataLabelsColumn = "Name";
            this.radChart1.PlotArea.XAxis.Appearance.TextAppearance.TextProperties.Font = new System.Drawing.Font("Ariel", 8);

            this.radChart1.DataSource = new List<Product>() 
            {
                new Product{ ProductId = 1, Name = "silverlight", Value1 = 1, Value2 = 6, Value3 = 11, },
                new Product{ ProductId = 2, Name = "wpf", Value1 = 2, Value2 = 8, Value3 = 15, },
                new Product{ ProductId = 3, Name = "mvc", Value1 = 3, Value2 = 10, Value3 = 14, },
                new Product{ ProductId = 4, Name = "asp", Value1 = 4, Value2 = 9, Value3 = 13, },
                new Product{ ProductId = 5, Name = "win forms", Value1 = 4, Value2 = 8, Value3 = 12, },
            };
            this.radChart1.DataBind();
        }

        private void radChart1_Click(object sender, Telerik.Charting.ChartClickEventArgs args)
        {

        }
    }

    public class Product
    {
        public int ProductId { get; set; }
        public string Name { get; set; }
        public double Value1 { get; set; }
        public double Value2 { get; set; }
        public double Value3 { get; set; }
    }
}
